{"swagger":"2.0","info":{"description":"API to communicate with 777","version":"1.0.0","title":"777 API","contact":{"email":"lh@artwhere.eu"},"license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"}},"paths":{"/userHistory":{"get":{"tags":["Our side"],"description":"This provides a way to get the gift history of a user","produces":["application/json"],"parameters":[{"in":"query","name":"user_id","description":"the id of a user (your ID, provided by getUserData method)","required":true,"type":"string"},{"in":"query","name":"access_token","description":"the access_token we provided you","required":true,"type":"string"}],"responses":{"200":{"description":"An array of gift objects, sorted by datetime DESC","schema":{"type":"array","items":{"$ref":"#/definitions/Gift"}}}}}},"/decreasePoints":{"post":{"tags":["Your side"],"description":"This provides a way to decrease points after using them as gift exchange","produces":["application/json"],"parameters":[{"in":"query","name":"user_id","description":"the id of a user, provided by getUserData method","required":true,"type":"string"},{"in":"query","name":"points","description":"amount of spent points","required":true,"type":"integer"},{"in":"query","name":"access_token","description":"a secret key shared between casino777 and our server, provided by you","required":true,"type":"string"}],"responses":{"200":{"description":"Success code","schema":{"type":"object","properties":{"success":{"type":"string","enum":["success","fail"]}}}},"400":{"description":"Bad input parameter"}}}},"/getUserData":{"get":{"tags":["Your side"],"description":"This provides a way to get the profile of a user using a value in a . cookie","produces":["application/json"],"parameters":[{"in":"query","name":"cookie_value","description":"the value provided via .casino777.be cookie","required":true,"type":"string"},{"in":"query","name":"access_token","description":"a secret key shared between casino777 and our server, provided by you","required":true,"type":"string"}],"responses":{"200":{"description":"A User object","schema":{"type":"object","properties":{"id":{"type":"integer"},"firstname":{"type":"string"},"lastname":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"zip":{"type":"string"},"country":{"type":"string"},"phone":{"type":"string"},"language":{"type":"string","enum":["fr","nl","en"]},"gender":{"type":"string","enum":["male","female"]},"points":{"type":"integer"}}}},"400":{"description":"Bad input parameter"}}}}},"definitions":{"Gift":{"type":"object","properties":{"gift_id":{"type":"string","description":"Internal Git Id"},"gift_name":{"type":"string","description":"Gift name"},"image_url":{"type":"string","description":"Absolute URL to the git image"},"tracking_url":{"type":"string","description":"URL for the tracking of the package"},"status":{"type":"string","description":"Status","enum":["pending","sent","cancelled"]},"points":{"type":"integer","description":"Points"},"datetime":{"type":"string","format":"date-time","description":"The time the use bought the gift"}}}},"host":"virtserver.swaggerhub.com","basePath":"/lucien.herbiet/777/1.0.0","schemes":["https"]}